Create usageCopy Pagepost https://api.instellix.io/v2/usagesBody ParamsPlease see Usage Model below for more information regarding required values and input type.contractIdint64 | nullThe contract to which this usage should belong to. When no contract is given, a debtor id is mandatory. When a contract id is given, the debtor id will be ignored.debtorIdint64 | nullThe debtor to which this usage belongs to. When a contract is already provided, then this field is ignored. Otherwise the newest matching contract for this debtor is used.descriptionstring | nullThe usage's description.endDatedate-timerequiredThe end date of the contract. Can be the same as the start date. Supports ISO 8601 offset information. Must not be null.operatingSiteIdentstring | nullOperating site is used for tax calculation. Only predefined operating site identifiers are allowed. Size must be between 0 and 255.performanceLocationobject | nullThe location where the product or service was performed.performanceLocation object | nullproductIdentstringrequiredlength between 1 and 100The productIdent links the usage to the appropriate option from a specific plan. Must not be blank. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.propertiesarray of objects | nullpropertiesADD objectserviceCountrystring | nullenumdeprecatedDEPRECATED. Deprecated: Use taxLocation and performanceLocation instead. The usage's service country. Should be a valid ISO 3166-1 alpha-3 or alpha-2 code.DEUNDEFINEDACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZWShow 272 enum valuesstartDatedate-timerequiredThe start date of the usage. Supports ISO 8601 offset information. Must not be null.taxLocationobject | nullThe location where the product or service should be taxed. Note that if usage pooling is enabled, only usages where all tax location fields match will be aggregated together.taxLocation object | nullunitQuantitiesarray of objects | nullunitQuantitiesADD objectusageIdentstringrequiredlength between 1 and 100Must be a unique external reference. Cannot be amended after the initial POST. Must not be blank. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.Responses 201The request has been fulfilled, resulting in the creation of a new resource. 4XXerror response for all http error codes in range 4XX 5XXerror response for all http error codes in range 5XXUpdated 23 days ago